diff -u mutt-1.4/browser.c mutt-1.4-bcl/browser.c
--- mutt-1.4/browser.c	2003-05-04 21:21:05.000000000 -0700
+++ mutt-1.4-bcl/browser.c	2003-05-04 21:21:23.000000000 -0700
@@ -14,6 +14,10 @@
  *     You should have received a copy of the GNU General Public License
  *     along with this program; if not, write to the Free Software
  *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
+
+     10/30/2002		Modifying folder_format processing to display the
+     bcl@brianlane.com	number of new messages in the folder. 
+
  */ 
 
 #include "mutt.h"
@@ -251,8 +255,20 @@
 	break;
       }
 #endif
+/* [bcl] - Show the number of new messages */
+/*
       snprintf (tmp, sizeof (tmp), "%%%sc", fmt);
       snprintf (dest, destlen, tmp, folder->ff->new ? 'N' : ' ');
+*/
+
+      if( folder->ff->new == 0 )
+      {
+        snprintf (tmp, sizeof (tmp), "%%%sc", fmt);
+        snprintf (dest, destlen, tmp, ' ');
+      } else {
+        snprintf (tmp, sizeof (tmp), "%%%sd", fmt);
+        snprintf (dest, destlen, tmp, folder->ff->new);
+      }
       break;
       
     case 's':
diff -u mutt-1.4/browser.h mutt-1.4-bcl/browser.h
--- mutt-1.4/browser.h	2003-05-04 21:21:05.000000000 -0700
+++ mutt-1.4-bcl/browser.h	2003-05-04 21:21:23.000000000 -0700
@@ -1,3 +1,4 @@
+
 /* $Id: browser.h,v 2.9 2000/08/21 15:42:20 roessler Exp $ */
 /*
  * Copyright (C) 1996-2000 Michael R. Elkins <me@cs.hmc.edu>
@@ -15,6 +16,9 @@
  *     You should have received a copy of the GNU General Public License
  *     along with this program; if not, write to the Free Software
  *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
+
+     10/30/2002		Modifying folder_file.new to hold the count of new
+     bcl@brianlane.com	messages. Changed to a long.
  */ 
 
 #ifndef _BROWSER_H
@@ -30,7 +34,10 @@
   char *name;
   char *desc;
 
+/* [bcl]
   unsigned short new;
+*/
+  long new;
 #ifdef USE_IMAP
   char delim;
   
diff -u mutt-1.4/buffy.c mutt-1.4-bcl/buffy.c
--- mutt-1.4/buffy.c	2003-05-04 21:21:05.000000000 -0700
+++ mutt-1.4-bcl/buffy.c	2003-05-04 21:21:23.000000000 -0700
@@ -14,6 +14,10 @@
  *     You should have received a copy of the GNU General Public License
  *     along with this program; if not, write to the Free Software
  *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
+
+    10/30/2002		Changing usage of BUFFY->new to hold the count of
+    bcl@brianlane.com	new messages. Only works for Maildir initially.
+
  */
 
 #include "mutt.h"
@@ -354,8 +358,12 @@
 	  {
 	    /* one new and undeleted message is enough */
 	    BuffyCount++;
+/* [bcl]
 	    tmp->new = 1;
 	    break;
+*/
+            /* Count the # of new messages */
+            tmp->new++;
 	  }
 	}
 	closedir (dirp);
diff -u mutt-1.4/buffy.h mutt-1.4-bcl/buffy.h
--- mutt-1.4/buffy.h	2003-05-04 21:21:05.000000000 -0700
+++ mutt-1.4-bcl/buffy.h	2003-05-04 21:21:23.000000000 -0700
@@ -14,6 +14,11 @@
  *     You should have received a copy of the GNU General Public License
  *     along with this program; if not, write to the Free Software
  *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
+
+    10/30/2002		Changing usage of BUFFY->new to keep track of the
+    bcl@brianlane.com	number of new messages in a folder. Only works for
+    			Maildir initially.
+
  */
 
 typedef struct buffy_t
@@ -23,7 +28,9 @@
   long size;
 #endif				/* BUFFY_SIZE */
   struct buffy_t *next;
-  short new;			/* mailbox has new mail */
+/* [bcl]  
+ * short new;	*/		/* mailbox has new mail */
+  long  new;			/* count of new messages */
   short notified;		/* user has been notified */
   short magic;			/* mailbox type */
   short newly_created;		/* mbox or mmdf just popped into existence */
diff -u mutt-1.4/color.c mutt-1.4-bcl/color.c
--- mutt-1.4/color.c	2003-05-04 21:21:05.000000000 -0700
+++ mutt-1.4-bcl/color.c	2003-05-04 21:21:23.000000000 -0700
@@ -155,7 +155,7 @@
 #ifdef USE_SLANG_CURSES
 static char *get_color_name (char *dest, size_t destlen, int val)
 {
-  static char * missing[3] = {"brown", "lightgray", ""};
+  static char * missing[3] = {"brown", "lightgray", "default"};
   int i;
 
   switch (val)
